#pragma once
#include "dxhandlib.h"

class Mesh
{
public:
	Mesh();
	~Mesh();
	void Load(LPDIRECT3DDEVICE8 app_device, LPSTR fileName);
	void draw(LPDIRECT3DDEVICE8 app_device, D3DXVECTOR3 pos);
	float getRadius(void);

private:
	float radius;
	LPD3DXMESH mesh; //the variable for our mesh
	DWORD NumMaterials; //all this relates to loading in models
	D3DMATERIAL8 *MeshMaterials;
	LPDIRECT3DTEXTURE8 *MeshTextures;
};