//the ships class, while named ship, allows for creation of any bject that will have a position, health
//lives, and cann tell if it is dead or not
#include "Ships.h"

Ships::Ships() //the default constructor gives 3 livs, 100 health, not dead and a position at the origin
{
	lives = 3;
	health = 100;
	dead = false;
	pos = D3DXVECTOR3(0, 0, 0);
}

Ships::Ships(int h, int l) //you can also specify the health and lives for the constructor if you wish
{
	lives = l;
	health = h;
	dead = false;
	pos = D3DXVECTOR3(0, 0, 0);
}

bool Ships::isDead(void) //simply return the dead value
{
	return dead;
}

void Ships::changeDead(bool newDead) //change dead to true or false
{
	dead=newDead;
}

int Ships::getHealth(void)  //return how much health we have left
{
	return health;
}

void Ships::changeHealth(int change)  //alter the health by the desired amount
{
	health += change;
}

//resetvalues is used for when the game is over and you need to start with a fresh ship. 
//we do this rather than deleting and creating a new ship. you also always specify
//the position, health and lives
void Ships::resetValues(int newHealth, D3DXVECTOR3 newPos, int newLives)
{
	health=newHealth;
	pos = newPos;
	lives = newLives;
	dead=false;
}

D3DXVECTOR3 Ships::getPositionVec(void)  //return a position vector
{
	return pos;
}

float Ships::getPositionX(void)  //he following three function are for getting only the x, y or z of position
{
	return pos.x;
}

float Ships::getPositionY(void)
{
	return pos.y;
}

float Ships::getPositionZ(void)
{
	return pos.z;
}

//this ship class alows for 3d movement in a 3d world and therefore we only allow altering of the
//a dn y values
void Ships::changePos(float changeX, float changeY)
{
	pos.x += changeX;
	pos.y += changeY;
}

int Ships::getLives(void)  //return number of lives
{
	return lives;
}

void Ships::changeLives(int changeL) //alter number of lives
{
	lives+=changeL;
}

Ships::~Ships() 
{}
