#pragma once
#include "boundingSphere.h"
#include "dxhandlib.h"

class Ships
{
public:
	boundingSphere bSphere;
	bool isDead(void);
	void changeDead(bool newDead);
	int getHealth(void);
	void changeHealth(int change);
	void resetValues(int newHealth, D3DXVECTOR3 newPos, int newLives);
	D3DXVECTOR3 getPositionVec(void);
	float getPositionX(void);
	float getPositionY(void);
	float getPositionZ(void);
	void changePos(float changeX, float changeY);
	int getLives(void);
	void changeLives(int changeL);
	Ships();
	Ships(int h, int l);
	~Ships();

//our non function members are the position, true or false value of dead, health and lives
private:
	D3DXVECTOR3 pos;
	bool dead;
	int health;
	int lives;
};