//information about all the functions can be found in the cpp file where they are defined

#pragma once
#include "dxhandlib.h"

class boundingSphere
{
public:
	boundingSphere();
    boundingSphere(D3DXVECTOR3 vOrigin,float fRadius);
    ~boundingSphere() {};
    void SetTranslation(D3DXVECTOR3 vOffset);
    BOOL SphereIntersect(boundingSphere *s);
	void setCenter(D3DXVECTOR3 newCenter);
	void setRadius(float newRad);
private:
    D3DXVECTOR3 center;           //the only two non function members we have are center and radius
    float radius;		//both used for determining collision
};