#pragma once
#include "dxhandlib.h"

class Texture
{
public:
	void load(LPDIRECT3DDEVICE8 app_device, LPSTR file_name, D3DCOLOR trans_color);
	LPDIRECT3DTEXTURE8 getTexture(void);
	D3DXVECTOR2 getScaling(void);
	void scroll(void);
	D3DXIMAGE_INFO getInfo(void);
	void setPos1(float x, float y);
	void setPos2(float x, float y);
	D3DXVECTOR2 getPos1(void);
	D3DXVECTOR2 getPos2(void);
	float getPos1Y(void);
	float getPos2Y(void);
	Texture();
	~Texture();
private:
	LPDIRECT3DTEXTURE8 app_texture; //our d3dx texture object
	D3DXIMAGE_INFO info;  //info about our file
	D3DSURFACE_DESC desc;  //info about the texture
	D3DXVECTOR2 vScaling; //proper scaling so size looks normal
	D3DXVECTOR2 pos1, pos2;  //two positions so we can scroll
};