//The bounding sphere class holds the data for the invisible sphere around the mesh. it uses the center
//and radius to determine collision

#include "boundingSphere.h"

boundingSphere::boundingSphere() //the constructor for the class does not initialize any values
{			//though it would be smart for radius to = 0 and center = origin
}

boundingSphere::boundingSphere(D3DXVECTOR3 vOrigin,float fRadius)
{
    center=vOrigin; 		//this constructor will create the sphere with the values you give to it
    radius=fRadius;
}

void boundingSphere::SetTranslation(D3DXVECTOR3 vOffset)
{
    center=vOffset;		//this is to move the sphere by providing a vector to change x, y, z values
}

void boundingSphere::setCenter(D3DXVECTOR3 newCenter)
{
	center=newCenter;  	//use this to make the center equal to another vector
}

void boundingSphere::setRadius(float newRad)
{
	radius = newRad;	//you must have the radius in order to have any collisions using sphereintersect
}

BOOL boundingSphere::SphereIntersect(boundingSphere *s)
{
    D3DXVECTOR3 v;			//sphere intersect takes a bsphere and uses this to determine
    v=center-s->center;			//if it is colliding with the current sphere
    float centDist=radius+s->radius;
    return (D3DXVec3LengthSq(&v) <=centDist*centDist);
}